import java.util.HashMap;
import java.util.Map;
import java.util.List;
import java.util.Arrays;
import java.util.Random;

public class VotingSystem {
    public static void main(String[] args) {
        // List of candidates
        List<String> candidates = Arrays.asList("Alica", "Beata", "Cyril", "Dominik", "Jozef");

        // Create a HashMap to store vote counts
        HashMap<String, Integer> voteCounts = new HashMap<>();

        // Run the voting simulation with N votes
        int numberOfVotes = 1000;  // Change this number for different simulation sizes
        voting(voteCounts, candidates, numberOfVotes);

        // Display final election results
        System.out.println("Election results:");
        for (Map.Entry<String, Integer> entry : voteCounts.entrySet()) {
            System.out.println(entry.getKey() + ": " + entry.getValue() + " votes");
        }
    }

    // Voting method that simulates N random votes
    public static void voting(HashMap<String, Integer> voteCounts, List<String> candidates, int N) {
        Random random = new Random();

        for (int i = 0; i < N; i++) {
            // Randomly select a candidate from the list
            String selectedCandidate = candidates.get(random.nextInt(candidates.size()));

            // Add vote to the candidate in HashMap
            voteCounts.put(selectedCandidate, voteCounts.getOrDefault(selectedCandidate, 0) + 1);
        }
    }
}